tar=`which gnutar gtar tar false|head -1`

which dbus-daemon && which avahi-daemon && {
	echo "Linux isn't supported yet.  You need to send DBUS messages to the Avahi daemon to ask it to announce _daap_.tcp ."
	exit 1
}

echo "Assuming MacOS."
uname -o


which swig >/dev/null || which fink >/dev/null && {
	set -x
	sudo fink install swig
	set +x
}

which swig >/dev/null || {
	echo "Get SWIG, as listed at"
	echo "http://www.swig.org/download.html"

	echo "Download, './configure --prefix=/usr/local ...;  make install'"
	echo "Make sure it's available by 'which swig'."
	exit 1
}

echo "Getting bonjour-py, as listed at"
echo "http://www-unix.mcs.anl.gov/fl/research/accessgrid/bonjour-py/bonjour-py.html"

set -e
set -x

tempdir=`mktemp -d`
cd "${tempdir}"
wget -O- "http://www.mcs.anl.gov/fl/research/accessgrid/bonjour-py/bonjour-py-0.3.tar.gz" |${tar} -xzf -
cd *

test -d /usr/local  # make sure this is a location

python setup.py install --prefix=/usr/local

rm -rf "${tempdir}"
